--- axi_quad_spi_0_orig/axi_quad_spi_0_clocks.xdc	2017-07-05 11:18:19.728955204 +0200
+++ axi_quad_spi_0/axi_quad_spi_0_clocks.xdc	2017-07-06 10:39:26.449545735 +0200
@@ -48,14 +48,14 @@
 
 
 
-			set clk_domain_axi_lite [get_clocks -of_objects [get_ports s_axi_aclk]]
+			set clk_domain_axi_lite [get_clocks -of_objects [get_ports aclk]]
 			set clk_domain_ext_spi_clk [get_clocks -of_objects [get_ports ext_spi_clk]]
 # Set max delay on cross clock domain path for Block/Distributed RAM based FIFO
             set_false_path -from [filter [all_fanout -from [get_ports ext_spi_clk] -flat -endpoints_only] {IS_LEAF}] -to [get_cells -hierarchical -filter {NAME =~*RX_FIFO_II/USE_2N_DEPTH.V6_S6_AND_LATER.I_ASYNC_FIFO_BRAM/inst_fifo_gen/gconvfifo.rf/grf.rf/gntv_or_sync_fifo.mem/gdm.dm*/gpr1.dout_i_reg[*]}]
             set_max_delay -from [get_cells -hierarchical -filter {NAME =~*RX_FIFO_II/USE_2N_DEPTH.V6_S6_AND_LATER.I_ASYNC_FIFO_BRAM/inst_fifo_gen/gconvfifo.rf/grf.rf/gntv_or_sync_fifo.gcx.clkx/*rd_pntr_gc_reg[*]}] -to [get_cells -hierarchical -filter {NAME =~*RX_FIFO_II/USE_2N_DEPTH.V6_S6_AND_LATER.I_ASYNC_FIFO_BRAM/inst_fifo_gen/gconvfifo.rf/grf.rf/gntv_or_sync_fifo.gcx.clkx/*gsync_stage[1].wr_stg_inst/Q_reg_reg[*]}] -datapath_only [get_property -min PERIOD $clk_domain_axi_lite]
             set_max_delay -from [get_cells -hierarchical -filter {NAME =~*RX_FIFO_II/USE_2N_DEPTH.V6_S6_AND_LATER.I_ASYNC_FIFO_BRAM/inst_fifo_gen/gconvfifo.rf/grf.rf/gntv_or_sync_fifo.gcx.clkx/*wr_pntr_gc_reg[*]}] -to [get_cells -hierarchical -filter {NAME =~*RX_FIFO_II/USE_2N_DEPTH.V6_S6_AND_LATER.I_ASYNC_FIFO_BRAM/inst_fifo_gen/gconvfifo.rf/grf.rf/gntv_or_sync_fifo.gcx.clkx/*gsync_stage[1].rd_stg_inst/Q_reg_reg[*]}] -datapath_only [get_property -min PERIOD $clk_domain_ext_spi_clk]
 
-            set_false_path -from [filter [all_fanout -from [get_ports s_axi_aclk] -flat -endpoints_only] {IS_LEAF}] -to [get_cells -hierarchical -filter {NAME =~*TX_FIFO_II/USE_2N_DEPTH.V6_S6_AND_LATER.I_ASYNC_FIFO_BRAM/inst_fifo_gen/gconvfifo.rf/grf.rf/gntv_or_sync_fifo.mem/gdm.dm*/gpr1.dout_i_reg[*]}]
+            set_false_path -from [filter [all_fanout -from [get_ports aclk] -flat -endpoints_only] {IS_LEAF}] -to [get_cells -hierarchical -filter {NAME =~*TX_FIFO_II/USE_2N_DEPTH.V6_S6_AND_LATER.I_ASYNC_FIFO_BRAM/inst_fifo_gen/gconvfifo.rf/grf.rf/gntv_or_sync_fifo.mem/gdm.dm*/gpr1.dout_i_reg[*]}]
 			set_max_delay -from [get_cells -hierarchical -filter {NAME =~*TX_FIFO_II/USE_2N_DEPTH.V6_S6_AND_LATER.I_ASYNC_FIFO_BRAM/inst_fifo_gen/gconvfifo.rf/grf.rf/gntv_or_sync_fifo.gcx.clkx/*rd_pntr_gc_reg[*]}] -to [get_cells -hierarchical -filter {NAME =~*TX_FIFO_II/USE_2N_DEPTH.V6_S6_AND_LATER.I_ASYNC_FIFO_BRAM/inst_fifo_gen/gconvfifo.rf/grf.rf/gntv_or_sync_fifo.gcx.clkx/*gsync_stage[1].wr_stg_inst/Q_reg_reg[*]}] -datapath_only [get_property -min PERIOD $clk_domain_ext_spi_clk]
             set_max_delay -from [get_cells -hierarchical -filter {NAME =~*TX_FIFO_II/USE_2N_DEPTH.V6_S6_AND_LATER.I_ASYNC_FIFO_BRAM/inst_fifo_gen/gconvfifo.rf/grf.rf/gntv_or_sync_fifo.gcx.clkx/*wr_pntr_gc_reg[*]}] -to [get_cells -hierarchical -filter {NAME =~*TX_FIFO_II/USE_2N_DEPTH.V6_S6_AND_LATER.I_ASYNC_FIFO_BRAM/inst_fifo_gen/gconvfifo.rf/grf.rf/gntv_or_sync_fifo.gcx.clkx/*gsync_stage[1].rd_stg_inst/Q_reg_reg[*]}] -datapath_only [get_property -min PERIOD $clk_domain_axi_lite]
 set rd_clk [get_property -min PERIOD $clk_domain_ext_spi_clk]
--- axi_quad_spi_0_orig/synth/axi_quad_spi_0.vhd	2017-07-05 11:18:19.752954906 +0200
+++ axi_quad_spi_0/synth/axi_quad_spi_0.vhd	2017-07-06 10:46:10.383433118 +0200
@@ -90,6 +90,7 @@
     ss_i : IN STD_LOGIC_VECTOR(0 DOWNTO 0);
     ss_o : OUT STD_LOGIC_VECTOR(0 DOWNTO 0);
     ss_t : OUT STD_LOGIC;
+    clicpix2_slow_clock : in STD_LOGIC;
     ip2intc_irpt : OUT STD_LOGIC
   );
 END axi_quad_spi_0;
@@ -219,6 +220,7 @@
       ss_1_i : IN STD_LOGIC;
       ss_1_o : OUT STD_LOGIC;
       ss_1_t : OUT STD_LOGIC;
+      clicpix2_slow_clock : in STD_LOGIC;
       cfgclk : OUT STD_LOGIC;
       cfgmclk : OUT STD_LOGIC;
       eos : OUT STD_LOGIC;
@@ -376,6 +378,7 @@
       clk => '0',
       gsr => '0',
       gts => '0',
+      clicpix2_slow_clock => clicpix2_slow_clock,
       keyclearb => '0',
       usrcclkts => '0',
       usrdoneo => '1',
--- axi_quad_spi_0_orig/axi_quad_spi_0.xdc	2017-07-05 11:18:19.000000000 +0200
+++ axi_quad_spi_0/axi_quad_spi_0.xdc	2017-07-08 13:07:58.684734738 +0200
@@ -53,7 +53,7 @@
 ##set_false_path -to [get_pins -hierarchical -filter {NAME =~*/*rstblk*/*CLR}]
 
 ## IOB constraints ######
-set_property IOB true [get_cells -hierarchical -filter {NAME =~*IO*_I_REG}]
+#set_property IOB true [get_cells -hierarchical -filter {NAME =~*IO*_I_REG}]
 
 
 
--- axi_quad_spi_0_orig/axi_quad_spi_0_ooc.xdc	2017-07-05 11:18:19.728955204 +0200
+++ axi_quad_spi_0/axi_quad_spi_0_ooc.xdc	2017-07-08 18:42:32.565009004 +0200
@@ -61,10 +61,10 @@
 
 #list of all the clock needed for AXI Quad SPI core
 
-	create_clock -name axi_lite_clk -period 10 [get_ports s_axi_aclk] 
+#	create_clock -name axi_lite_clk -period 10 [get_ports s_axi_aclk] 
 ##			 set_property HD.CLK_SRC BUFGCTRL_X0Y0 [get_ports s_axi_aclk]
 
-	create_clock -name ext_spi_clk -period 20 [get_ports ext_spi_clk]
+#	create_clock -name ext_spi_clk -period 20 [get_ports ext_spi_clk]
 ##		 set_property HD.CLK_SRC BUFGCTRL_X0Y1 [get_ports ext_spi_clk]
 	
 	
--- axi_quad_spi_0_orig/hdl/axi_quad_spi_v3_2_rfs.vhd	2017-07-05 11:18:19.748954956 +0200
+++ axi_quad_spi_0/hdl/axi_quad_spi_v3_2_rfs.vhd	2017-08-18 19:04:42.196921700 +0200
@@ -7838,6 +7838,8 @@
     SS_O                : out std_logic_vector((C_NUM_SS_BITS-1) downto 0);
     SS_T                : out std_logic;
 
+    clicpix2_slow_clock : in std_logic;
+    
     control_bit_7_8     : in std_logic_vector(0 to 1);
     Mst_N_Slv_mode      : out std_logic;
     Rx_FIFO_Full        : in std_logic;
@@ -8744,8 +8746,9 @@
              Mst_N_Slv         = '1' and  -- If Master Mode
              (
               SPI_En            = '0' or  -- enable not asserted or
-              (SPIXfer_done_int = '1' and SR_5_Tx_Empty = '1') or  -- no data in Tx reg/FIFO or
-              -------------------- To remove glitch----------------((SPIXfer_done_int = '1' or SPIXfer_done_int_pulse_d1 = '1' ) and SR_5_Tx_Empty = '1') or  -- no data in Tx reg/FIFO or
+              --(SPIXfer_done_int = '1' and SR_5_Tx_Empty = '1') or  -- no data in Tx reg/FIFO
+              --remove glitch on SS line at the end of the SPI transaction
+              ((SPIXfer_done_int = '1' or SPIXfer_done_int_pulse_d1 = '1' ) and SR_5_Tx_Empty = '1') or  -- no data in Tx reg/FIFO
               SR_3_MODF         = '1' or  -- mode fault error
               Mst_Trans_inhibit = '1' or    -- Do not start if Mst xfer inhibited
               stop_clock        = '1'
@@ -8760,7 +8763,7 @@
           )then
 
             transfer_start <= '0';
-        else
+        elsif( clicpix2_slow_clock = '1' ) then
 -- Delayed SPIXfer_done_int_pulse to work for synchronous design and to remove
 -- asserting of loading_sr_reg in master mode after SR_5_Tx_Empty goes to 1
               --if((SPIXfer_done_int_pulse = '1')    or
@@ -10022,7 +10025,9 @@
            SS_O                   <= (others => '1');
            SS_Asserted            <= '0';
            SS_Asserted_1dly       <= '0';
-       elsif(((transfer_start_d1 = '0') or (xfer_done_fifo_0 = '1')) or (Manual_SS_mode = '0' and stop_clock = '1')) then    -- Tranfer not in progress
+       elsif(((transfer_start_d1 = '0') or
+              ( not( (transfer_start_pulse = '1') or (rst_xfer_done_fifo_0 = '1') ) and ( (SR_5_Tx_Empty = '1') and (SPIXfer_done_int_pulse_d1 = '1') ) ) or (xfer_done_fifo_0 = '1') )
+              or (Manual_SS_mode = '0' and stop_clock = '1')) then    -- Tranfer not in progress
            if(Manual_SS_mode = '0') then   -- Auto SS assert
                SS_O   <= (others => '1');
            else
@@ -17815,6 +17820,8 @@
         ------------------------------------------------
         IP2INTC_Irpt     : out std_logic;
         ------------------------------------------------
+        clicpix2_slow_clock : in std_logic;
+
 	   ------------------------
 	   -- STARTUP INTERFACE
 	   ------------------------
@@ -20376,6 +20383,7 @@
          SS_I                  => SS_I_int,                                         -- in
          SS_O                  => SS_O_int,                                         -- out
          SS_T                  => SS_T_int,                                         -- out
+         clicpix2_slow_clock   => clicpix2_slow_clock,
 
          SPISEL_pulse_op      => spisel_pulse_o_int          ,          -- out std_logic;
          SPISEL_d1_reg        => spisel_d1_reg               ,          -- out std_logic;
@@ -31261,7 +31269,9 @@
        ss_i           : in std_logic_vector((C_NUM_SS_BITS-1) downto C_LSB_STUP);
        ss_o           : out std_logic_vector((C_NUM_SS_BITS-1) downto C_LSB_STUP);
        ss_t           : out std_logic;
-	   
+
+       clicpix2_slow_clock : in std_logic;
+
 	   ------------------------
 	   -- STARTUP INTERFACE
 	   ------------------------
@@ -31989,6 +31999,9 @@
       SS_O                      => ss_o,
       SS_T                      => ss_t,
       -----
+
+      clicpix2_slow_clock        => clicpix2_slow_clock,
+      
       IP2INTC_Irpt              => ip2intc_irpt,
       CFGCLK                    => cfgclk,       -- FGCLK        , -- 1-bit output: Configuration main clock output
       CFGMCLK                   => cfgmclk, -- FGMCLK       , -- 1-bit output: Configuration internal oscillator clock output
@@ -32227,6 +32240,8 @@
       SS_O                      => ss_o,
       SS_T                      => ss_t,
       -----
+      clicpix2_slow_clock       => '0',
+
       IP2INTC_Irpt              => ip2intc_irpt,
 	   CFGCLK                    => cfgclk,       -- FGCLK        , -- 1-bit output: Configuration main clock output
       CFGMCLK                   => cfgmclk, -- FGMCLK       , -- 1-bit output: Configuration internal oscillator clock output
@@ -33000,6 +33015,9 @@
        ss_1_i           : in std_logic;
        ss_1_o           : out std_logic;
        ss_1_t           : out std_logic;
+
+       clicpix2_slow_clock : in std_logic;
+
 	   ------------------------
 	   -- STARTUP INTERFACE
 	   ------------------------
@@ -33145,6 +33163,7 @@
       ss_i => ss_i,
       ss_o => ss_o,
       ss_t => ss_t,
+      clicpix2_slow_clock => clicpix2_slow_clock,
       cfgclk => cfgclk,
       cfgmclk => cfgmclk,
       eos => eos,
@@ -33314,6 +33333,7 @@
       ss_i => to_gnd2, --ss_i,
       ss_o => ss_o_int,
       ss_t => ss_t_int,
+      clicpix2_slow_clock       => '0',
 -- to be driven from muxing block
       cfgclk => open,
       cfgmclk => open,
